%define major 	2
%define real_name lrdf 
%define libname %mklibname %real_name %major
%define develname %mklibname %real_name -d

Name: 		liblrdf
Summary: 	Library for handling RDF descriptions of audio plugins
Version: 	0.5.0
Release: 	%mkrel 2

Source:		%{name}-%{version}.tar.xz
Patch1:		liblrdf-0.5.0-automake-1.13.patch
URL:		https://github.com/swh/LRDF
License:	GPL
Group:		System/Libraries
BuildRequires:	pkgconfig(raptor2) >= 2.0.0
BuildRequires:	openssl-devel

%description
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness. 

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Requires: %{name}-common >= %{version}

%description -n %{libname}
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness. 

%package common
Summary: File used by %name
Group: System/Libraries
Obsoletes: %{_lib}lrdf2-common < 0.5.0

%description common
This packages contains various files required by %name.


%package -n %{develname}
Summary: Headers for developing programs that will use %name
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}lrdf2-devel < 0.5.0

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -qn swh-LRDF-7ebc032
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files common
%{_datadir}/ladspa/rdf

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Oct 20 2017 bb2 <bb2> - 0.5.0-2pclos2017
- rebuild against updates

* Sat Jul 22 2017 bb2 <bb2> - 0.5.0-1pclos2017
- new version


